Subject: bug#15173: [cp] --link overrides dereference settings

From: Jim Meyering <[email-masked]>
Date: Thu, 7 Nov 2013 09:23:01 -0800

On Thu, Nov 7, 2013 at 9:08 AM, Bernhard Voelker
<[email-masked]> wrote:
> On 11/07/2013 04:25 PM, Jim Meyering wrote:
>> Does the current behavior conflict with POSIX or
>> disagree with how other implementations work?
>
> Hi Jim,
>
> no, it doesn't conflict with POSIX, and for the --link case
> (this thread) I think we have found consensus.
>
> The problem is - unfortunately in the other bug#15806 [1]
> that rm behaves differently regarding the dereferencing (or not)
> of symbolic links when the -r option is specified (or not).
> The BSDs seem to also dereference without -r.
>
> [1] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15806

Right.  Thanks for the summary.
I was referring to the -R-vs-deref issue but hadn't read the original
report carefully.  I will follow up on that thread.